Represents a hackmud account with it's users.

### Hierarchy

- Account

## Index

### Constructors

- constructor

### Properties

- api
- users

### Methods

- getUserByName
- poll

## Constructors

### constructor

- new Account(api: HackmudApi, users: User[]): Account

- - Defined in lib/account.ts:18

  #### Parameters

  - ##### api: HackmudApi

  - ##### users: User[]

  #### Returns Account

## Properties

### Private api

api: HackmudApi

- Defined in lib/account.ts:18

### users

users: User[]

- Defined in lib/account.ts:17

The users of the account.

## Methods

### getUserByName

- getUserByName(name: string): User

- - Defined in lib/account.ts:28

  Returns the account user from the given name.

  #### Parameters

  - ##### name: string

    The user name

  #### Returns User

### poll

- poll(cb: function, frequency?: number): Timer

- - Defined in lib/account.ts:37

  Get the new messages every interval specified by `frequency`.

  #### Parameters

  - ##### cb: function

    - - (messages: Message[]): void

      - #### Parameters

        - ##### messages: Message[]

        #### Returns void

  - ##### Default value frequency: number = 1200

  #### Returns Timer

Generated using TypeDoc